
clear
clf

% new processing tool that aims at
% 1) estimating propagation direction of horizontally polarized waves
% 2) phase  velocity of those waves if they exist
% from collocated measurements of translations and rotations

disp(' Loading data ... ')
load ../Hokkaido/NewNew/Hokkaido_V1.3.mat

%   RZdata             21213x1                   169704  double array
%   Rtime              21213x1                   169704  double array
%   TEdata            108000x1                   864000  double array
%   TNdata            108000x1                   864000  double array
%   TZdata            108000x1                   864000  double array
%   Transverse_accel  107999x1                   863992  double array
%   Ttime             108000x1                   864000  double array
%   ans                    1x1                        8  double array
%   dt                     1x1                        8  double array

TEdata = translation_E/100;
TNdata = translation_N/100;
TZdata = translation_Z/100;
Transverse_accel = Transverse_accel/100;
Ttime = translation_time;
Ttime=Ttime(1:length(Ttime)-1)*3600;

RZdata = rotation_Z; 
Rtime = rotation_time*3600;;

dts=(Ttime(2)-Ttime(1));
nts=length(Ttime);
dtr=(Rtime(2)-Rtime(1));
ntr=length(Rtime);
iRZdata=interp1(Rtime,RZdata,Ttime);

aTEdata=diff(TEdata)/dts;
aTNdata=diff(TNdata)/dts;
c0=5000;
 
% Quantify semblance between data
tmin=dts;itmin=round(tmin/dts);
tmax=14000;itmax=round(tmax/dts);

Ttime=Ttime(itmin:itmax);
nts=length(Ttime);
aTEdata=aTEdata(itmin:itmax);
aTNdata=aTNdata(itmin:itmax);
iRZdata=interp1(Rtime,RZdata,Ttime);

d=30; % = 10;% length of time window (s)
id=round(d/dts);
id2=round(id/2);

i=id2;
ii=1;
iang=0;


t1=4500;
t2=6500;
it1=round(t1/dts);
it2=round(t2/dts);

aTEdata(1:it1)=aTEdata(1:it1)*0;
aTNdata(1:it1)=aTNdata(1:it1)*0;
iRZdata(1:it1)=iRZdata(1:it1)*0;
aTEdata(it2:nts)=aTEdata(it2:nts)*0;
aTNdata(it2:nts)=aTNdata(it2:nts)*0;
iRZdata(it2:nts)=iRZdata(it2:nts)*0;

ii=0;
dT=5;
eps=2;

Tdata=-aTEdata*cos(40/180*pi)+aTNdata*sin(40/180*pi);
c=max(Tdata)/max(iRZdata);
plot(Ttime,dT*(Tdata/c)/max((Tdata/c)),'k-',Ttime,dT*iRZdata/max(iRZdata),'r-'),axis([t1 t2 -Inf Inf]),
text(t1+100,0+eps,' Broadband seismogram ')
hold on

for T=10:dT:100,

    
    disp(sprintf(' Upper period : %g s ',T))
    flow=.9*1/T;
    fup=1.1*1/T;

%flow=1/flow;
%fup=1/fup;
faTEdata=bandpass(aTEdata,dts,flow,fup,1);
faTNdata=bandpass(aTNdata,dts,flow,fup,1);
fiRZdata=bandpass(iRZdata,dts,flow,fup,1);
Tdata=-faTEdata*cos(40/180*pi)+faTNdata*sin(40/180*pi);

c=max(Tdata)/max(fiRZdata);

%plot(Ttime,Tdata/c,'k-',Ttime,iRZdata,'r-'),axis([t1 t2 -Inf Inf])
plot(Ttime,dT*(Tdata/c)/max((Tdata/c))+T,'k-',Ttime,dT*fiRZdata/max(fiRZdata)+T,'r-'),axis([t1 t2 -Inf Inf]),
text(t1+100,T+eps,sprintf(' c_{phase}=%g m/s ',c/2),'Fontsize',8);

hold on
drawnow

xlabel(' Time (s) ')

ii=ii+1;

%plot(Ttime,aTEdata,'k-'),
%title(sprintf(' T_{dom} = %g s; c_{phase} = %g m/s',T,c/2)),drawnow

end

title(' Rotation (red) - Translation (black) ')
hold off




% disp(' Calculating crosscorrelation ');
% 
% ainc=2;
% x=zeros([round(180/ainc),round(length(Ttime)/id2)]);
% 
%     for k=1:ainc:180,
%        
%         iang=iang+1; 
%         ang(iang)=k/180*pi;
%         Tdata=-aTEdata*cos(ang(iang))+aTNdata*sin(ang(iang));
%         disp(sprintf(' Sampling angle %i deg ',k))
%         i=id2;
%         ii=1;
%         while i < itmax-id2,
%             ia=i-id2+1;ie=i+id2; 
%             if ie<itmax-id2,
%                 t(ii)=Ttime(i);
%                 f=xcorr(Tdata(ia:ie),iRZdata(ia:ie),'coeff');
%                 x(iang,ii)=f(id);
%                 % x(iang,ii)=max(xcorr(Tdata(ia:ie),iRZdata(ia:ie),'coeff'));
%                 ii=ii+1;
%             end
%             i=i+id2;
%         end    
%     end
%     
% 
%  % plot results
%  
%  save proc_results Ttime aTEdata c0 iRZdata t ang x
 
% testplot
 
 